#include<iostream>
#include<cmath>

using namespace std;

int main(){

int n, k, x[100], karta, i;

cin>>n>>k;
for(i = 0; i<n; i++){
    cin>>x[i];
}

for(i = 0; i<n; i++){
    if(x[i] == k){
        if(i == n-1){
            karta = x[0];
        }else{
            karta = x[i+1];
        }
    }
}
cout<<karta;









return 0;

}